# Package org.firebirdsql.jdbc.field

Interface Summary
FBFlushableField: Instances of this field cache data in auto-commit case if no transaction is yet available and must be flushed before transaction is committed.
FieldDataProvider: Provider of the row data.

Class Summary
DefaultObjectConverter: Provides a default implementation of `ObjectConverter`.
FBCachedClob: Clob implementation that is cached client-side.
FBField: Describe class `FBField` here.
FBFlushableField.CachedObject
FBLongVarCharField: This is Blob-based implementation of `FBStringField`.
FBWorkaroundStringField: Class implementing workaround for "operation was cancelled" bug in server.
JDBC42ObjectConverter: Implementation of `ObjectConverter` to support JDBC 4.2 type conversions.
JdbcTypeConverter: Helper class to convert from Firebird and metadata type information to JDBC type information.

Exception Summary
TypeConversionException: This exception is thrown when the requested type conversion cannot be performed.